[SCM] debian-live/config-webc branch, master, updated. 6cbbb4300bca59b5229b07cad128290faececb0e

Kai Hendry hendry at iki.fi
Sun Aug 9 21:59:35 UTC 2009


The following commit has been merged in the master branch:
commit 6cbbb4300bca59b5229b07cad128290faececb0e
Author: Kai Hendry <hendry at iki.fi>
Date:   Sun Aug 9 23:56:17 2009 +0200

    Add lamby's di banner fix

diff --git a/webconverger/config/binary_local-hooks/brand-di-banner.sh b/webconverger/config/binary_local-hooks/brand-di-banner.sh
new file mode 100755
index 0000000..365909b
--- /dev/null
+++ b/webconverger/config/binary_local-hooks/brand-di-banner.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# This is an binary hook for live-helper(7) to overwrite the banner
+# in the graphical Debian Installer. To enable it, coppy or symlink
+# this hook into your config/binary_local-hooks directory and add a
+# replacement banner.png at:
+#
+#  config/binary_local-includes/binary/install/banner.png
+#
+# The file should be a PNG image of dimensions 800 x 75.
+
+set -e
+
+TARGET_INITRD="binary/install/gtk/initrd.gz"
+REPACK_TMPDIR="unpacked-initrd"
+
+# cpio does not have a "extract to directory", so we must change directory
+mkdir -p ${REPACK_TMPDIR}
+cd ${REPACK_TMPDIR}
+gzip -d < ../${TARGET_INITRD} | cpio -i --make-directories --no-absolute-filenames
+
+# Overwrite banner
+mv ../binary/install/banner.png ./usr/share/graphics/logo_debian.png
+
+find | cpio -H newc -o | gzip -9 > ../${TARGET_INITRD}
+cd ..
+rm -rf ${REPACK_TMPDIR}

-- 
debian-live/config-webc



More information about the debian-live-changes mailing list